commit:     dfddec86a5787c2dc3633a0468d681126181d6a2
Author:     Sam Jorna <wraeth <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 30 11:32:51 2016 +0000
Commit:     Sam Jorna <wraeth <AT> gentoo <DOT> org>
CommitDate: Sat Apr 30 11:34:21 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dfddec86

app-misc/inputlircd: revbump, fix build with headers-4.4

Introduces conditional patch for building against linux-headers-4.4, fixing a
runtime issue with using unknown commands for the lirc socket. Patch and
initial ebuild submitted by user Michael Cook, ebuild updated to EAPI6.

Gentoo-bug: 581410
Package-Manager: portage-2.2.28

 .../files/inputlircd-linux-4.4-fix.patch           | 13 ++++++++
 .../inputlircd/inputlircd-0.0.1_pre15-r2.ebuild    | 37 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/app-misc/inputlircd/files/inputlircd-linux-4.4-fix.patch 
b/app-misc/inputlircd/files/inputlircd-linux-4.4-fix.patch
new file mode 100644
index 0000000..c605e34
--- /dev/null
+++ b/app-misc/inputlircd/files/inputlircd-linux-4.4-fix.patch
@@ -0,0 +1,13 @@
+diff --git a/Makefile b/Makefile
+index 71bc693..3904632 100644
+--- a/Makefile
++++ b/Makefile
+@@ -27,7 +27,7 @@ MANDIR ?= $(SHAREDIR)/man
+ 
+ all: $(SBIN)
+ 
+-names.h: /usr/include/linux/input.h gennames
++names.h: /usr/include/linux/input-event-codes.h gennames
+       ./gennames $< > $@
+ 
+ inputlircd: inputlircd.c /usr/include/linux/input.h names.h

diff --git a/app-misc/inputlircd/inputlircd-0.0.1_pre15-r2.ebuild 
b/app-misc/inputlircd/inputlircd-0.0.1_pre15-r2.ebuild
new file mode 100644
index 0000000..d428d3f
--- /dev/null
+++ b/app-misc/inputlircd/inputlircd-0.0.1_pre15-r2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit toolchain-funcs eutils versionator
+
+DESCRIPTION="Inputlirc daemon to utilize /dev/input/event*"
+HOMEPAGE="http://svn.sliepen.eu.org/inputlirc/trunk";
+SRC_URI="http://gentooexperimental.org/~genstef/dist/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~x86"
+
+src_prepare() {
+       local ver="$(best_version sys-kernel/linux-headers)"
+       ver=${ver#sys-kernel/linux-headers-}
+       if version_is_at_least 4.4 ${ver} ; then
+               epatch "${FILESDIR}/inputlircd-linux-4.4-fix.patch"
+       fi
+
+       sed -e 's:$(CFLAGS):$(CFLAGS) $(LDFLAGS):' -i Makefile || die
+
+       default
+}
+
+src_compile() {
+       emake CC="$(tc-getCC)"
+}
+
+src_install() {
+       emake DESTDIR="${D}" PREFIX=/usr install
+
+       newinitd "${FILESDIR}"/inputlircd.init.2  inputlircd
+       newconfd "${FILESDIR}"/inputlircd.conf  inputlircd
+}

Reply via email to